Create or update a LinkedIn account
curl --request POST \
--url https://api.edges.run/v1/identities/{identity_uid}/integrations/linkedin \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"auth_data": {
"basic": {
"username": "elon@musk.com",
"password": "********"
}
}
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({auth_data: {basic: {username: 'elon@musk.com', password: '********'}}})
};
fetch('https://api.edges.run/v1/identities/{identity_uid}/integrations/linkedin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.edges.run/v1/identities/{identity_uid}/integrations/linkedin"
payload = { "auth_data": { "basic": {
"username": "elon@musk.com",
"password": "********"
} } }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"auth_type": "BASIC",
"setup_source": "API",
"is_shared": false,
"name": "elon@musk.com LinkedIn Account",
"uid": "123e4567-e89b-12d3-a456-426614174000",
"integration_permalink": "linkedin",
"created_at": "2023-10-01T12:00:00Z",
"level": "Classic",
"identity_uid": "5678e456-e89b-12d3-a456-426614174001",
"checkpoint": {
"type": "PHONE_REGISTER"
},
"status": "VALID"
}LinkedIn Integration
Connect LinkedIn with Username & Password
Connect a LinkedIn account to an identity using a username and password, as an alternative to cookies or the Chrome Extension.
POST
/
identities
/
{identity_uid}
/
integrations
/
linkedin
Create or update a LinkedIn account
curl --request POST \
--url https://api.edges.run/v1/identities/{identity_uid}/integrations/linkedin \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"auth_data": {
"basic": {
"username": "elon@musk.com",
"password": "********"
}
}
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({auth_data: {basic: {username: 'elon@musk.com', password: '********'}}})
};
fetch('https://api.edges.run/v1/identities/{identity_uid}/integrations/linkedin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.edges.run/v1/identities/{identity_uid}/integrations/linkedin"
payload = { "auth_data": { "basic": {
"username": "elon@musk.com",
"password": "********"
} } }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"auth_type": "BASIC",
"setup_source": "API",
"is_shared": false,
"name": "elon@musk.com LinkedIn Account",
"uid": "123e4567-e89b-12d3-a456-426614174000",
"integration_permalink": "linkedin",
"created_at": "2023-10-01T12:00:00Z",
"level": "Classic",
"identity_uid": "5678e456-e89b-12d3-a456-426614174001",
"checkpoint": {
"type": "PHONE_REGISTER"
},
"status": "VALID"
}Before connecting a LinkedIn account using email and password authentication, you must first Create an Identity to associate the account with.
Once you have created an identity, you can use this endpoint to connect their LinkedIn account using their email and password credentials.
Checkpoint Handling: LinkedIn will likely require you to complete a checkpoint. Use the Resolve LinkedIn Checkpoint endpoint to handle this.The checkpoint endpoint supports various verification methods including mobile app approval, SMS codes, email verification, 2FA codes, and more. See the checkpoint documentation for detailed handling instructions for each checkpoint type.
Authorizations
API key required for authentication. Add your API key in the X-API-Key header.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Response
Successfully created or updated LinkedIn account.
Available options:
VALID, INVALID, PENDING, LIMIT_REACHED Available options:
MANUAL, EXTENSION, SHARED, API Available options:
BASIC, OAUTH, COOKIES, APIKEY Show child attributes
Show child attributes
Show child attributes
Show child attributes

